Bug 1513731 - mozilla-adblockplus disabled in Firefox
Summary: mozilla-adblockplus disabled in Firefox
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla-adblockplus
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 21:27 UTC by Andre Robatino
Modified: 2019-10-31 20:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
spec for 3.0.1 (12.21 KB, text/x-rpm-spec)
2017-11-16 08:35 UTC, Ivan Romanov
no flags Details
spec for 3.0.1 (12.22 KB, text/x-rpm-spec)
2017-12-12 08:34 UTC, Ivan Romanov
no flags Details

Description Andre Robatino 2017-11-15 21:27:33 UTC
Description of problem:
The current version of mozilla-adblockplus is disabled in Firefox 57, which is included in Rawhide, F27, F26, and soon F25. Version 3.0 of Adblock Plus appears to be compatible with FF57.

Version-Release number of selected component (if applicable):
mozilla-adblockplus-2.9.1-1.fc26.noarch (in F26)

How reproducible:
always

Comment 1 Ivan Romanov 2017-11-16 08:35:53 UTC
Created attachment 1353291 [details]
spec for 3.0.1

I tried to update .spec. Seems it works for me. Note: to webpack nodejs package is required, I bundle it to .spec.

Comment 2 Michal Jaegermann 2017-11-23 19:02:55 UTC
(In reply to Ivan Romanov from comment #1)
> 
> I tried to update .spec. Seems it works for me.

Yes, mozilla-adblockplus recompiled with attachment 1353291 [details] specs works with Firefox 57 just fine.  Thanks!  Any "official" movement in this matter.  Koji records now the last successful activity for this package in June.

Comment 3 Andre Robatino 2017-11-23 19:08:35 UTC
I suspect that the current assignee for this bug is no longer active. Koji shows that almost all builds back to at least early 2014 were made by either rathann (who just packaged the new mozilla-noscript) or niveusluna.

Comment 4 Benjamin Kreuter 2017-11-29 00:26:38 UTC
Any movement?

Comment 5 Dominik 'Rathann' Mierzejewski 2017-12-03 01:48:56 UTC
Sorry, I switched to uBlock Origin some time ago and don't have much interest in ABP. The review request for uBO is in bug 1518671.

I may take a look at doing a new build of ABP just to make it work in FF57, but I'm pretty busy, so no promises.

Comment 6 Ivan Romanov 2017-12-12 08:34:23 UTC
Created attachment 1366460 [details]
spec for 3.0.1

Update spec

Comment 7 Ivan Romanov 2017-12-12 08:38:41 UTC
Can't build with new spec in mock. It requires network connection.

+ npm install /builddir/build/SOURCES/webpack-3.8.1.tar.gz
npm ERR! code ENOTFOUND
npm ERR! errno ENOTFOUND
npm ERR! network request to https://registry.npmjs.org/acorn failed, reason: getaddrinfo ENOTFOUND registry.npmjs.org registry.npmjs.org:443
npm ERR! network This is a problem related to network connectivity.
npm ERR! network In most cases you are behind a proxy or have bad network settings.
npm ERR! network 
npm ERR! network If you are behind a proxy, please make sure that the
npm ERR! network 'proxy' config is set properly.  See: 'npm help config'

npm ERR! A complete log of this run can be found in:
npm ERR!     /builddir/.npm/_logs/2017-12-12T08_38_10_626Z-debug.log
error: Bad exit status from /var/tmp/rpm-tmp.zKy4iv (%build)
    Bad exit status from /var/tmp/rpm-tmp.zKy4iv (%build)

Comment 8 Yaakov Selkowitz 2018-01-30 01:38:21 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #5)
> I may take a look at doing a new build of ABP just to make it work in FF57,
> but I'm pretty busy, so no promises.

If you are unable or uninterested in maintaining this package, then please find a new (co)maintainer.

Comment 9 Dominik 'Rathann' Mierzejewski 2018-01-31 00:57:05 UTC
(In reply to Yaakov Selkowitz from comment #8)
> (In reply to Dominik 'Rathann' Mierzejewski from comment #5)
> > I may take a look at doing a new build of ABP just to make it work in FF57,
> > but I'm pretty busy, so no promises.
> 
> If you are unable or uninterested in maintaining this package, then please
> find a new (co)maintainer.

I'm a co-maintainer myself as you can check on https://src.fedoraproject.org/rpms/mozilla-adblockplus so I'm not sure why you're telling me this. I can remove myself from co-maintainers if that makes you happier.

Comment 10 Michal Jaegermann 2018-01-31 01:20:23 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #9)

> I can remove myself from co-maintainers if that
> makes you happier.

Maybe, instead and for a benefit of users searching how to solve the problem, it should be noted instead that 'mozilla-ublock-origin' rpm package is available from current Fedora repos.  This package does work with recent versions of Firefox and provides functionality analogous to 'mozilla-adblockplus'.

I really cannot tell if making such switch "automatic" by suitable "Provides" and "Obsoletes" is a good idea or not.

Comment 11 Yaakov Selkowitz 2018-01-31 02:10:09 UTC
(In reply to Michal Jaegermann from comment #10)
> I really cannot tell if making such switch "automatic" by suitable
> "Provides" and "Obsoletes" is a good idea or not.

Definitely not.  Adblock Plus is still maintained upstream; just our package is behind.

Comment 12 Fedora End Of Life 2018-02-20 15:21:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 13 Ivan Romanov 2018-11-01 04:34:16 UTC
Not works in Fedora 29. In current state it's absolutely useless package.

Comment 14 Ben Cotton 2019-10-31 20:35:57 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.